%define name	gltron
%define version	0.70
%define release	3mdk

Summary:	Gltron, a 3d lightcycle game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Url:		http://gltron.sourceforge.net
Source:		gltron-%version.tar.bz2
Source1:	gltron-xpm.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  SDL_sound-devel	XFree86-devel libMesaGLU-devel png-devel

%description
A very nice Tron game using OpenGL.

%prep

%setup -q

%build

export LDFLAGS=-L/usr/X11R6/lib
%configure2_5x --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make CXX="g++ -L/usr/X11R6/lib"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xfj %{SOURCE1}
install -m0644 gltron-16.png $RPM_BUILD_ROOT%{_miconsdir}/gltron.png
install -m0644 gltron-32.png $RPM_BUILD_ROOT%{_iconsdir}/gltron.png
install -m0644 gltron-48.png $RPM_BUILD_ROOT%{_liconsdir}/gltron.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/gltron
?package(%{name}):command="%{_gamesbindir}/gltron" \
		  icon="gltron.png" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Gltron" \
		  longtitle="3d lightcycle game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_gamesbindir}/gltron
%dir %{_gamesdatadir}/gltron/
%{_gamesdatadir}/gltron/art
%{_gamesdatadir}/gltron/data
%{_gamesdatadir}/gltron/music
%{_gamesdatadir}/gltron/scripts
%{_miconsdir}/gltron.png
%{_iconsdir}/gltron.png
%{_liconsdir}/gltron.png
%{_menudir}/gltron

%changelog
* Sat Aug 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.70-3mdk
- Rebuild for new menu

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.70-2mdk
- Rebuild

* Sun Dec 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.70-1mdk
- new version

* Wed Oct 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.70-0.beta1.2mdk
- rebuild for new SDL_sound
- remove non-existing files from %%doc

* Tue Oct  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.70-0.beta1.1mdk
- fix buildrequires
- new version

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.62-2mdk
- fix buildrequires
- fix URL
- fix directory ownership

* Fri Jan  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.62-1mdk
- add missing files
- fix file list
- drop patches
- new version

* Fri Jul 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.61-2mdk
- arrgh, fix the data directories

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- fix build
- update patch 2
- remove patches 0,1 (not needed anymore)
- configure macro
- new version

* Fri May  3 2002 Pixel <pixel@mandrakesoft.com> 0.59-14mdk
- rebuild for new libasound

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.59-13mdk
- xpm -> png icons
- add %%Url:

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.59-12mdk
- BuildRequires

* Fri Nov 30 2001 Franois Pons <fpons@mandrakesoft.com> 0.59-11mdk
- build release.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 0.59-10mdk
- build release, update distribution tag.

* Fri May 18 2001 Franois Pons <fpons@mandrakesoft.com> 0.59-9mdk
- rebuild with SDL 1.2.

* Sun Dec 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.59-8mdk
- updated BuildRequires

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-7mdk
- updated icons transparancy.

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.59-6mdk
- Fix Title in Menu entry

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.59-5mdk
- use alpha trails by default, to workaround a display bug with some
  3d hardware
- use our compiling flags

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-4mdk
- using right macros for games.
- added missing icons.

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.59-3mdk
- added a patch to change default cam type (follows motorcycle)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.59-2mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-1mdk
- added menu entry.
- created patch to allow starting even if no sound available.
- initial release.

